package com.kddi.market.alml.service;

interface IAppAuthorizeServiceCallback {
	// ライセンス認証結果通知
	void onAuthorizeLicenseResult(int resultCode, String license, String createTime, in Map resultInfo);
	
	// 月額課金入会 結果通知
	void onJoinMonthlyAccountResult(int resultCode, in Map resultInfo);
	
	// 月額課金退会  結果通知
	void onResignMonthlyAccountResult(int resultCode, in Map resultInfo);
	
	// 領収書発行  結果通知
	void onIssueReceiptResult(int resultCode, String receipt, String signature, in Map resultInfo);
	
	// 領収書更新  結果通知
	void onUpdateReceiptResult(int resultCode, String receipt, String signature, in Map resultInfo);
	
	// 領収書確認  結果通知
	void onConfirmReceiptResult(int resultCode, String receipt, String signature, in Map resultInfo);
	
	// 領収書有効・無効設定  結果通知
	void onSetItemValidityResult(int resultCode, in Map resultInfo);
	
	// EZ番号取得 結果通知
	void onGetEZNumberResult(int resultCode, String ezNumber, in Map resultInfo);
	
	// au one トークン取得 結果通知
	void onGetAuOneTokenResult(int resultCode, String auoneToken, String auoneSecretToken, in Map resultInfo);
}